Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Arg_Shifter.h File Reference

`#include "ace/ACE_export.h"`

Include dependency graph for Arg_Shifter.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Arg_Shifter
| This ADT operates on a specified set of arguments (argv). As known arguments are scanned, they are shifted to the back of the argv vector, so deeper levels of argument parsing can locate the yet unprocessed arguments at the beginning of the vector. More...

## Detailed Description

Id
  Arg_Shifter.h,v 4.24 2005/10/28 16:14:51 ossama Exp

Author:
  Seth Widoff